# Uses of Class
com.clickhouse.jdbc.JdbcConfig

Packages that use JdbcConfig
Package
Description
com.clickhouse.jdbc
com.clickhouse.jdbc.internal

## Uses of JdbcConfig in com.clickhouse.jdbc

Methods in com.clickhouse.jdbc that return JdbcConfig
Modifier and Type
Method
Description
`JdbcConfig`
ClickHouseConnection.`getJdbcConfig()`
Gets JDBC-specific configuration.
Methods in com.clickhouse.jdbc with parameters of type JdbcConfig
Modifier and Type
Method
Description
`static ResultSetMetaData`
ClickHouseResultSetMetaData.`of(JdbcConfig config, String database, String table, List<com.clickhouse.data.ClickHouseColumn> columns, JdbcTypeMapping mapper, Map<String,Class<?>> typeMap)`
Constructors in com.clickhouse.jdbc with parameters of type JdbcConfig
Modifier
Constructor
Description
`protected`
`ClickHouseResultSetMetaData(JdbcConfig config, String database, String table, List<com.clickhouse.data.ClickHouseColumn> columns, JdbcTypeMapping mapper, Map<String,Class<?>> typeMap)`

## Uses of JdbcConfig in com.clickhouse.jdbc.internal

Methods in com.clickhouse.jdbc.internal that return JdbcConfig
Modifier and Type
Method
Description
`JdbcConfig`
ClickHouseConnectionImpl.`getJdbcConfig()`
`JdbcConfig`
ClickHouseJdbcUrlParser.ConnectionInfo.`getJdbcConfig()`